## org.eclipse.emf.compare.diff.metamodel
Interface ModelElementChangeRightTarget

All Superinterfaces:
  DiffElement, org.eclipse.emf.ecore.EObject, ModelElementChange, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ModelElementChangeRightTargetImpl

    public interface ModelElementChangeRightTarget

extends ModelElementChange

A representation of the model object 'Model Element Change Right Target'. A "RightTarget" element change describes a difference involving the right element/resource. In the case of ModelElementChanges, this can describe either the removal of an element or the remote addition of an element (for three way comparisons).

The following features are supported:

- `Left Parent`
- `Right Element`

See Also:
  `DiffPackage.getModelElementChangeRightTarget()`

Method Summary
`org.eclipse.emf.ecore.EObject` `getLeftParent()` Returns the value of the 'Left Parent' reference
`org.eclipse.emf.ecore.EObject` `getRightElement()` Returns the value of the 'Right Element' reference
`void` `setLeftParent(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Left Parent`' reference
`void` `setRightElement(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Right Element`' reference

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLeftParent

    org.eclipse.emf.ecore.EObject getLeftParent()

  Returns the value of the 'Left Parent' reference.

  If the meaning of the 'Left Parent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Parent' reference.
  See Also:
    `setLeftParent(EObject)`, `DiffPackage.getModelElementChangeRightTarget_LeftParent()`

### getRightElement

    org.eclipse.emf.ecore.EObject getRightElement()

  Returns the value of the 'Right Element' reference.

  If the meaning of the 'Right Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Element' reference.
  See Also:
    `setRightElement(EObject)`, `DiffPackage.getModelElementChangeRightTarget_RightElement()`

### setLeftParent

    void setLeftParent(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Left Parent`' reference.

  Parameters:
    `value` - the new value of the 'Left Parent' reference.
  See Also:
    `getLeftParent()`

### setRightElement

    void setRightElement(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Right Element`' reference.

  Parameters:
    `value` - the new value of the 'Right Element' reference.
  See Also:
    `getRightElement()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.